summaryrefslogtreecommitdiffstats
path: root/mail-filter/clamassassin
diff options
context:
space:
mode:
Diffstat (limited to 'mail-filter/clamassassin')
-rw-r--r--mail-filter/clamassassin/Manifest2
-rw-r--r--mail-filter/clamassassin/clamassassin-1.2.4-r1.ebuild40
2 files changed, 42 insertions, 0 deletions
diff --git a/mail-filter/clamassassin/Manifest b/mail-filter/clamassassin/Manifest
new file mode 100644
index 0000000..521228e
--- /dev/null
+++ b/mail-filter/clamassassin/Manifest
@@ -0,0 +1,2 @@
+DIST clamassassin-1.2.4.tar.gz 35350 BLAKE2B 397fea744d58814b5aad42aed81de7e12a29d1751315ae541fa9af580fea97ac253bae0a83790e081db7165ccfe56ef8bca16d1c88d9d439850a1ad793d2b997 SHA512 174a62f3c201d061b49641d6210c1c5adf21ee96e6881ca9c6b44577efc4795cbb5f0879cbb99222c8313095307c95f0dd3376743a0ab32c50f0b9eae45e0163
+EBUILD clamassassin-1.2.4-r1.ebuild 1151 BLAKE2B 2f5b355256162135098f89b42523d382d2f7a6cc30af60a0120fde1dd77dbcae1c83e0a15225d1598cc523842bf5ed9c33efe5964f45597c103c3ceb98e7aea3 SHA512 c3242024d74767839a9c3cca2346455e790bfe2bd6bdc32c79da36ad9abba4a8428a942e7f5bbe0ec871fe1ebd0888f995daa966e9cbb2259891a7ab53fd3f69
diff --git a/mail-filter/clamassassin/clamassassin-1.2.4-r1.ebuild b/mail-filter/clamassassin/clamassassin-1.2.4-r1.ebuild
new file mode 100644
index 0000000..9623c32
--- /dev/null
+++ b/mail-filter/clamassassin/clamassassin-1.2.4-r1.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+DESCRIPTION="Simple spamassassin-like script for virus scanning and filtering e-mail messages"
+HOMEPAGE="http://jameslick.com/clamassassin/"
+SRC_URI="http://jameslick.com/clamassassin/${P}.tar.gz"
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="amd64 ~ppc ~sparc x86"
+IUSE="subject-rewrite clamd"
+DEPEND=">=app-antivirus/clamav-0.90
+ sys-apps/debianutils
+ sys-apps/which
+ mail-filter/procmail"
+
+src_compile() {
+ # Try to get location of clamd's DatabaseDirectory
+ local clamav_dbdir=`awk '$1 == "DatabaseDirectory" { print $2 }' \
+ /etc/clamd.conf`
+ # If not defined in clamd.conf, go with default
+ if [ -z "$clamav_dbdir" ] ; then
+ clamav_dbdir="/var/lib/clamav"
+ fi
+ # Add an entry to sandbox write prediction list, so sandbox doesn't complain
+ addpredict ${clamav_dbdir}/
+
+ econf \
+ $(use_enable subject-rewrite) \
+ $(use_enable clamd clamdscan) \
+ || die
+ # Fix problems with Portage exporting TMP and breaking clamassassin. #61806
+ sed -i -e "s:${TMP}:/tmp:" clamassassin
+}
+
+src_install() {
+ dobin clamassassin
+ dodoc CHANGELOG README
+}